/*
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
 *
 * Copyright (c) 2018 Oracle and/or its affiliates. All rights reserved.
 *
 * The contents of this file are subject to the terms of either the GNU
 * General Public License Version 2 only ("GPL") or the Common Development
 * and Distribution License("CDDL") (collectively, the "License").  You
 * may not use this file except in compliance with the License.  You can
 * obtain a copy of the License at
 * https://oss.oracle.com/licenses/CDDL+GPL-1.1
 * or LICENSE.txt.  See the License for the specific
 * language governing permissions and limitations under the License.
 *
 * When distributing the software, include this License Header Notice in each
 * file and include the License file at LICENSE.txt.
 *
 * GPL Classpath Exception:
 * Oracle designates this particular file as subject to the "Classpath"
 * exception as provided by Oracle in the GPL Version 2 section of the License
 * file that accompanied this code.
 *
 * Modifications:
 * If applicable, add the following below the License Header, with the fields
 * enclosed by brackets [] replaced by your own identifying information:
 * "Portions Copyright [year] [name of copyright owner]"
 *
 * Contributor(s):
 * If you wish your version of this file to be governed by only the CDDL or
 * only the GPL Version 2, indicate your decision by adding "[Contributor]
 * elects to include this software in this distribution under the [CDDL or GPL
 * Version 2] license."  If you don't indicate a single choice of license, a
 * recipient has the option to distribute your version of this file under
 * either the CDDL, the GPL Version 2 or to extend the choice of license to
 * its licensees as provided above.  However, if you add GPL Version 2 code
 * and therefore, elected the GPL Version 2 license, then the option applies
 * only if the new code is made subject to such option by the copyright
 * holder.
 */


//dojo.provide("webui.suntheme.props");
define( function() {

/**
 * This closure is used to provide theme properties.
 */
    return {
    // Common properties.
    hiddenClassName: "hidden_sun4", // Use webui.suntheme.common.setVisibleElement

    // Button properties.
    button: {
        imageClassName: "Btn3_sun4",
        imageDisabledClassName: "Btn3Dis_sun4",
        imageHovClassName: "Btn3Hov_sun4",
        primaryClassName: "Btn1_sun4",
        primaryDisabledClassName: "Btn1Dis_sun4",
        primaryHovClassName: "Btn1Hov_sun4",
        primaryMiniClassName: "Btn1Mni_sun4",
        primaryMiniHovClassName: "Btn1MniHov_sun4",
        primaryMiniDisabledClassName: "Btn1MniDis_sun4",
        secondaryClassName: "Btn2_sun4",
        secondaryDisabledClassName: "Btn2Dis_sun4",
        secondaryHovClassName: "Btn2Hov_sun4",
        secondaryMiniClassName: "Btn2Mni_sun4",
        secondaryMiniDisabledClassName: "Btn2MniDis_sun4",
        secondaryMiniHovClassName: "Btn2MniHov_sun4"
    },

    // Drop Down properties.
    dropDown: {
        className: "MnuStd_sun4",
        disabledClassName: "MnuStdDis_sun4",
        optionClassName: "MnuStdOpt_sun4",
        optionDisabledClassName: "MnuStdOptDis_sun4",
        optionGroupClassName: "MnuStdOptGrp_sun4",
        optionSelectedClassName: "MnuStdOptSel_sun4",
        optionSeparatorClassName: "MnuStdOptSep_sun4"
    },

    // Field properties.
    field: {
        areaClassName: "TxtAra_sun4",
        areaDisabledClassName: "TxtAraDis_sun4",
        fieldClassName: "TxtFld_sun4",
        fieldDisabledClassName: "TxtFldDis_sun4"
    },

    // Jump drop down properties.
    jumpDropDown: {
        className: "MnuJmp_sun4",
        disabledClassName: "",
        optionClassName: "MnuJmpOpt_sun4",
        optionDisabledClassName: "MnuJmpOptDis_sun4",
        optionGroupClassName: "MnuJmpOptGrp_sun4",
        optionSelectedClassName: "MnuJmpOptSel_sun4",
        optionSeparatorClassName: "MnuJmpOptSep_sun4"
    },

    // Listbox properties.
    listbox: {
        className: "Lst_sun4",
        disabledClassName: "LstDis_sun4",
        monospaceClassName: "LstMno_sun4",
        monospaceDisabledClassName: "LstMnoDis_sun4",
        optionClassName: "LstOpt_sun4",
        optionDisabledClassName: "LstOptDis_sun4",
        optionGroupClassName: "LstOptGrp_sun4",
        optionSelectedClassName: "LstOptSel_sun4",
        optionSeparatorClassName: "LstOptSep_sun4"
    },

    // Tree properties.
    tree: {
        selectedTreeRowClass: "TreeSelRow_sun4",
        treeRowClass: "TreeRow_sun4"
    }
}
});

//-->
